org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Class IgniteDhtPartitionCountersMap

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.dht.preloader.IgniteDhtPartitionCountersMap

All Implemented Interfaces:
  Serializable

    public class IgniteDhtPartitionCountersMap
    extends Object
    implements Serializable

Partition counters map.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteDhtPartitionCountersMap()`

### Method Summary

Methods
`Map<Integer,T2<Long,Long>>` `get(int cacheId)`
`void` `putIfAbsent(int cacheId, Map<Integer,T2<Long,Long>> cntrMap)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteDhtPartitionCountersMap

    public IgniteDhtPartitionCountersMap()

### Method Detail

#### putIfAbsent

    public void putIfAbsent(int cacheId,
                   Map<Integer,T2<Long,Long>> cntrMap)

Parameters:
  `cacheId` - Cache ID.
  `cntrMap` - Counters map.

#### get

    public Map<Integer,T2<Long,Long>> get(int cacheId)

Parameters:
  `cacheId` - Cache ID.
Returns:
  Counters map.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017